Package: grails.util

## [Groovy] Class FinalReference<T>

- grails.util.Metadata.FinalReference

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Metadata.FinalReference (T t)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `T` | `get()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.ref.SoftReference` | `java.lang.ref.SoftReference#get(), java.lang.ref.SoftReference#clear(), java.lang.ref.SoftReference#isEnqueued(), java.lang.ref.SoftReference#enqueue(), java.lang.ref.SoftReference#wait(long, int), java.lang.ref.SoftReference#wait(long), java.lang.ref.SoftReference#wait(), java.lang.ref.SoftReference#equals(java.lang.Object), java.lang.ref.SoftReference#toString(), java.lang.ref.SoftReference#hashCode(), java.lang.ref.SoftReference#getClass(), java.lang.ref.SoftReference#notify(), java.lang.ref.SoftReference#notifyAll()`
    `class java.lang.ref.Reference` | `java.lang.ref.Reference#get(), java.lang.ref.Reference#clear(), java.lang.ref.Reference#isEnqueued(), java.lang.ref.Reference#enqueue(), java.lang.ref.Reference#wait(long, int), java.lang.ref.Reference#wait(long), java.lang.ref.Reference#wait(), java.lang.ref.Reference#equals(java.lang.Object), java.lang.ref.Reference#toString(), java.lang.ref.Reference#hashCode(), java.lang.ref.Reference#getClass(), java.lang.ref.Reference#notify(), java.lang.ref.Reference#notifyAll()`

- - ### Constructor Detail

    - #### Metadata.FinalReference(T t)

  - ### Method Detail

    - #### @java.lang.Override T get()